List commitments

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Query parameters

pagedoubleOptionalDefaults to 1
Page Number
limitdoubleOptionalDefaults to 50
Number of items to return
filterstringOptional

Format: field:rule:value — comma-separated for multiple filters.

Fields: customerId (uuid): eq, neq, in, nin, isnull, isnotnull contractId (uuid): eq, neq, in, nin, isnull, isnotnull

Example: filter=customerId:eq:00000000-0000-0000-0000-000000000001

Response

Get all commitments with optional customer and contract filtering
payloadobject
Response payload, will be empty when success is false
successboolean

Boolean with true=success, false=failure

messagestring

Plain-text description of the result

errorobject
json element with any error messages or warnings

Errors

500
Internal Server Error